Loading...
Searching...
No Matches
sip_request_s Struct Reference
Sip_request

Structure for SIP request line. More...

`#include <sip.h>`

Collaboration diagram for sip_request_s:
[legend]

## Data Fields

sip_common_t | rq_common [1]
| Common fragment info.
sip_error_t * | rq_next
| Link to next (dummy).
sip_method_t | rq_method
| Method enum.
char const * | rq_method_name
| Method name.
url_t | rq_url [1]
| RequestURI.
char const * | rq_version
| Protocol version.

## Detailed Description

Structure for SIP request line.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.